Package org.springframework.security.authorization.method

# Class MethodInvocationResult

java.lang.Object
org.springframework.security.authorization.method.MethodInvocationResult

public class MethodInvocationResult extends Object
A context object that contains a `MethodInvocation` and the result of that `MethodInvocation`.

Since:
  5.6

## Constructor Summary

Constructors
Constructor
Description
`MethodInvocationResult(org.aopalliance.intercept.MethodInvocation methodInvocation, Object result)`
Construct a `MethodInvocationResult` with the provided parameters

## Method Summary

Modifier and Type
Method
Description
`org.aopalliance.intercept.MethodInvocation`
`getMethodInvocation()`
Return the already-invoked `MethodInvocation`
`Object`
`getResult()`
Return the result of the already-invoked `MethodInvocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodInvocationResult

public MethodInvocationResult(org.aopalliance.intercept.MethodInvocation methodInvocation, Object result)
Construct a `MethodInvocationResult` with the provided parameters

Parameters:
  `methodInvocation` - the already-invoked `MethodInvocation`
  `result` - the value returned from the `MethodInvocation`

## Method Details

### getMethodInvocation

public org.aopalliance.intercept.MethodInvocation getMethodInvocation()
Return the already-invoked `MethodInvocation`

Returns:
  the already-invoked `MethodInvocation`

### getResult

public Object getResult()
Return the result of the already-invoked `MethodInvocation`

Returns:
  the result